%define name roundcube-plugin-dovecot_impersonate
%define version 2.1
%define release 2
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/corbosman/dovecot_impersonate
Source: roundcube-dovecot_impersonate-%{version}.tar.gz
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

This plugin lets you impersonate another user using the dovecot master user feature.

WARNING: please only use for user support or similar operational issues. I recommend 
you always get approval. Using this without consent may be illegal in some countries. 
For more information about this feature read: http://wiki.dovecot.org/Authentication/MasterUsers

The default separator character used is '*', but you can set a different one using the plugin config file.

%changelog
* Mon Sep 02 2024 Jean-Philippe Pialasse <jpp@koozali.org> 2.1-2.sme
- initial release for SME 11

%prep

%setup -q -n dovecot_impersonate-%{version}

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/dovecot_impersonate/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/dovecot_impersonate/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf roundcube-dovecot_impersonate-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
